summaryrefslogtreecommitdiff
path: root/tests.build/stratum-overlap-warns.script
diff options
context:
space:
mode:
Diffstat (limited to 'tests.build/stratum-overlap-warns.script')
-rwxr-xr-xtests.build/stratum-overlap-warns.script39
1 files changed, 39 insertions, 0 deletions
diff --git a/tests.build/stratum-overlap-warns.script b/tests.build/stratum-overlap-warns.script
new file mode 100755
index 00000000..86071954
--- /dev/null
+++ b/tests.build/stratum-overlap-warns.script
@@ -0,0 +1,39 @@
+#!/bin/sh
+#
+# Copyright (C) 2011-2013 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+## If a stratum has multiple chunks that have the same files in them,
+## then this should be noted.
+
+set -eu
+
+log="$DATADIR/morph.log"
+warnings="$DATADIR/warnings"
+cache="$DATADIR/cache/artifacts"
+
+warning_mentions(){
+ grep -F "$1" <"$warnings" >/dev/null 2>/dev/null
+}
+
+"$SRCDIR/scripts/test-morph" build-morphology --log=$log \
+ test:morphs-repo overlap overlap-stratum > /dev/null
+grep WARNING "$log" >"$warnings"
+for str in overlap-stratum \
+ overlap-foo-baz overlap-foobar bin/bar \
+ overlap-fooqux bin/foo; do
+ warning_mentions 'overlap-stratum' || exit $?
+done